Package org.codehaus.commons.compiler

# Interface WarningHandler

All Known Implementing Classes:
  `FilterWarningHandler`

public interface WarningHandler
Processes a warning issued by the compiler.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleWarning(String handle, String message, Location location)`
May or may not choose to throw a `CompileException`.

## Method Details

### handleWarning

void handleWarning(@Nullable String handle, String message, @Nullable Location location) throws CompileException
May or may not choose to throw a `CompileException`.

Parameters:
  `handle` - A string describing the category of the warning; used for filtering iff non-`null`
Throws:
  `CompileException` - This `WarningHandler` wishes to terminate compilation, e.g. because "too many" warnings have been reported